AOWP_PHPInnerStatementElement (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.parser.ast.AOWP_PHPInnerStatementElement
/parser/ast/PHPInnerStatementElement.class.php at line 19

# Class AOWP_PHPInnerStatementElement

    AOWP_PHPElement
        └─AOWP_PHPInnerStatementContainerElement
           └─AOWP_PHPInnerStatementElement

public class AOWP_PHPInnerStatementElement
extends AOWP_PHPInnerStatementContainerElement

PHPInnerStatementElement PHPのASTにおける「InnerStatement」を表すクラス。 文法規則: unticked_statement。

Author:
  Ryoto Naruse /

Fields inherited from aowp.parser.ast.util.AOWP_PHPInnerStatementContainerElement
innerStatements

Fields inherited from aowp.parser.ast.AOWP_PHPElement
NO_ARRAY, _line, parent, propertyIndex, propertyName

Constructor Summary
AOWP_PHPInnerStatementElement(mixed _line, mixed innerStatements)

Method Summary
void | __toString()
void | kind()

Methods inherited from aowp.parser.ast.util.AOWP_PHPInnerStatementContainerElement
getInnerStatements, insertElement, insertElementArray, removeAllElements, removeElement, replaceElement, replaceElementWithElements, searchElementIndex, setElement, setElements, spliceStatement

Methods inherited from aowp.parser.ast.AOWP_PHPElement
__clone, __toString, getChildren, getParent, getParentContainer, getParentPropertyIndex, getParentPropertyName, initialize, kind, line, releaseInstance, setParent, setParentInfo

## Constructor Detail

/parser/ast/PHPInnerStatementElement.class.php at line 21

### AOWP_PHPInnerStatementElement

`public AOWP_PHPInnerStatementElement(mixed _line, mixed innerStatements)`

## Method Detail

/parser/ast/PHPInnerStatementElement.class.php at line 35

### __toString

`public void __toString()`

/parser/ast/PHPInnerStatementElement.class.php at line 39

### kind

`public void kind()`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr